
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>The FEniCS Tutorial Volume I</title>
    
    <link rel="stylesheet" href="_static/basic.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="_static/custom.css" type="text/css" />
    <link rel="stylesheet" href="_static/bootstrap-sphinx.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '1.6',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/javascript" src="_static/bootstrap-sphinx.js"></script>
    <link rel="top" title="The FEniCS Tutorial Volume I" href="index.html" />
    <link rel="next" title="Preface" href="._ftut1001.html" />
    <link rel="prev" title="The FEniCS Tutorial Volume I" href="index.html" />
  <meta charset='utf-8'>
  <meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
  <meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1'>
  <meta name="apple-mobile-web-app-capable" content="yes">

  <!-- Default Bootstrap-->
  <link rel="stylesheet" href="_static/css/bootstrap.min.css"/>
  <link rel="shortcut icon" href="_static/fenics.ico" />
  <!-- Template styles CSS-->
  <link rel="stylesheet" href="_static/css/main.css"/>
  <link rel="stylesheet" href="_static/css/custom.css"/>
  <link rel="stylesheet" href="_static/css/font-awesome.min.css"/>
  <link rel="stylesheet" href="_static/css/animate.min.css"/>
  <link rel="stylesheet" href="_static/css/responsive.css"/>

  <!-- Template styles JS-->
  <script src="_static/slides.min.jquery.js"></script>
  <script type="text/javascript" src="_static/js/jquery-1.11.0.min.js"></script>
  <script type="text/javascript" src="_static/js/jquery-fix.js"></script>
  <script type="text/javascript" src="_static/js/bootstrap.js"></script>
  <script type="text/javascript" src="_static/js/bootstrap.min.js"></script>
  <script type="text/javascript" src="_static/js/wow.min.js"></script>
  <script type="text/javascript" src="_static/js/main.js"></script>
  <script type="text/javascript" src="_static/js/jquery.bcSwipe.js"></script>
  <script>
    $(document).ready(function() {
         $("#mycarousel").swiperight(function() {
            $(this).carousel('prev');
            });
         $("#mycarousel").swipeleft(function() {
            $(this).carousel('next');
       });
    });
  </script>

  
       <style type="text/css">
         div.admonition {
           background-color: whiteSmoke;
           border: 1px solid #bababa;
         }
       </style>
      </head>
    
  <body role="document">
<header id="header">
      <div class="navbar navbar-inverse" role="banner">
          <div class="container">
              <div class="navbar-header">
                  <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#headernavbar">
                      <span class="sr-only">Toggle navigation</span>
                      <span class="icon-bar"></span>
                      <span class="icon-bar"></span>
                      <span class="icon-bar"></span>
                  </button>

                  <a class="navbar-brand" href="http://fenicsproject.org/index.html">
                      <h1><img src="_static/fenics_banner.png" alt="FEniCS Project Logo" class="img-responsive center-block banner-image"></h1>
                  </a>

              </div>
              <div class="collapse navbar-collapse" id="headernavbar">
                <ul class="nav navbar-nav navbar-right">
                    <li><a href="index.html" title="Previous page">Prev</a></li>
                    <li><a href="._ftut1001.html" title="Next page">Next</a></li>
                    <li class="page_item"><a href="http://fenicsproject.org/index.html">Home</a></li>
                    <li class="page_item"><a href="http://fenicsproject.org/about/" title="Find out more about the FEniCS project">About</a></li>
                    <li class="page_item"><a href="http://fenicsproject.org/download/" title="Obtain the FEniCS project">Download</a></li>
                    <li class="page_item"><a href="http://fenicsproject.org/documentation/" title="Learn how to use the FEniCS project">Documentation</a></li>
                    <li class="page_item"><a href="http://fenicsproject.org/contributing/" title="Learn how to contribute to the FEniCS project">Contributing</a></li>
                    <li class="page_item"><a href="http://fenicsproject.org/citing/" title="Learn how to cite the FEniCS project">Citing</a></li>
                    <li class="page_item"><a href="http://fenicsproject.org/support/" title="Where to go for more help">Support</a></li>
                  </ul>
              </div>
          </div>
      </div>
  </header>

<div class="container">
  <div class="row">
    <div class="col-md-12">
      
  <div class="section" id="the-fenics-tutorial-volume-i">
<h1>The FEniCS Tutorial Volume I<a class="headerlink" href="#the-fenics-tutorial-volume-i" title="Permalink to this headline">¶</a></h1>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Authors:</th><td class="field-body">Hans Petter Langtangen, Anders Logg (logg at chalmers.se)</td>
</tr>
</tbody>
</table>
<p>This book gives a concise and gentle introduction to finite element
programming in Python based on the popular FEniCS software library.
Through a series of examples, including among others the Poisson
equation, the equations of linear elasticity, the incompressible
Navier - Stokes equations, and systems of nonlinear
advection - diffusion - reaction equations, the reader is guided through
the essential steps of how to quickly solve a PDE in FEniCS, including
how to define a finite variational problem, how to set boundary
conditions, how to solve linear and nonlinear systems, and how to
visualize solutions and structure finite element Python programs.</p>
<p>This document is also available in
<a class="reference external" href="https://fenicsproject.org/pub/tutorial/pdf/fenics-tutorial-vol1.pdf">PDF</a> and
<a class="reference external" href="https://fenicsproject.org/pub/tutorial/html/ftut1.html">HTML</a>
formats.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Date:</th><td class="field-body">Sep 18, 2017</td>
</tr>
</tbody>
</table>
</div>


    </div>
  </div>
</div>
 <script type="text/javascript">
    $(document).ready(function() {
        $(".toggle > *").hide();
        $(".toggle .header").show();
        $(".toggle .header").click(function() {
            $(this).parent().children().not(".header").toggle(400);
            $(this).parent().children(".header").toggleClass("open");
        })
    });
</script>

  </body>
</html>